module HousingMisc
  class CacheController < ApplicationController
    def show 
      render json: {data: {}, message: "cache key misisng", status: 404}, status: 404 if params['cache_key'].blank?
      data = Rails.cache.read(params['cache_key'])
      success_message, error_message = ["success", "not found"]
      data, message, status = data.present? ? [JSON.parse(data), success_message, 200] : [{}, error_message, 404]
      render json: {message: message, status: status, data: data }, status: status
    end
  end
end