require 'net/http'
=begin
Generic method to modify all http requests being made using net/http
adds app-name header configured by the app
adds X-Request-ID header that gets sets by RequestTracer middleware
=end
class Net::HTTPGenericRequest
  alias_method :old_initialize, :initialize
  def initialize(m, reqbody, resbody, uri_or_path, initheader = nil)
    old_initialize(m, reqbody, resbody, uri_or_path, initheader)
    self['app-name'] = HousingMisc.app_name
    self['X-Request-ID'] = Thread.current[:global_request_id]
  end
end